idChatTimestamps = {
	hook = {}
}

local _G = getfenv(0)

local idCFAddMessage = function(frame, text, red, green, blue, id)
	text = string.format("|cff777777(%s)|r %s", date("%X"), text or "")
	idChatTimestamps.hook[frame:GetName()](frame, text, red, green, blue, id)
end

function idChatTimestamps:Enable()
	local cf
	for i = 1, 7 do
		local frameName = "ChatFrame"..i
		cf = _G[frameName]
		self.hook[frameName] = cf.AddMessage
		cf.AddMessage = idCFAddMessage
	end
end

function idChatTimestamps:Disable()
	for i = 1, 7 do
		local frameName = "ChatFrame" .. i
		_G[frameName].AddMessage = self.hook[frameName]
	end
end

idChatTimestamps:Enable()
