idChatScroll = {}

local _G = getfenv(0)

function idChatScroll:Enable()
	for i = 1, 7 do
		local cf = _G["ChatFrame"..i]
		cf:SetScript("OnMouseWheel", function() self:Scroll() end)
		cf:EnableMouseWheel(true)
	end
end

function idChatScroll:Disable(msg)
	for i = 1, 7 do
		local cf = _G["ChatFrame"..i]
		cf:SetScript("OnMouseWheel", nil)
		cf:EnableMouseWheel(false)
	end
end

function idChatScroll:Scroll()
	if arg1 > 0 then
		if IsShiftKeyDown() then
			this:ScrollToTop()
		else
			this:ScrollUp()
		end
	elseif arg1 < 0 then
		if IsShiftKeyDown() then
			this:ScrollToBottom()
		else
			this:ScrollDown()
		end
	end
end

idChatScroll:Enable()

